package doc-base 0.9.5 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2

Bug #621345 reported by Justin McInerney
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
doc-base (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

Binary package hint: doc-base

aboce

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: doc-base 0.9.5
ProcVersionSignature: Ubuntu 2.6.32-22.36-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic i686
Architecture: i386
Date: Fri Aug 20 09:33:26 2010
ErrorMessage: subprocess installed post-installation script returned error exit status 2
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.2)
PackageArchitecture: all
SourcePackage: doc-base
Title: package doc-base 0.9.5 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2

Related branches

Revision history for this message
Justin McInerney (jaymac000) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (3.8 KiB)

This bug was fixed in the package doc-base - 0.10.1

---------------
doc-base (0.10.1) unstable; urgency=low

  * DocBaseFile.pm, InstallDocs.pm:
    + while getting changed files, don't schedule not yet registered files
      for removal;
    + if some documents cannot be registered and verbose messages are turned
      off, inform the user how to get the more detailed reasons of the errors.

doc-base (0.10.0) unstable; urgency=low

  * Applied a bit modified patch from Martin Pitt @ Ubuntu to remove dependency
    on perl (closes: #602919):
    + Scrollkeeper.pm: provide our own local dirname() function and use it
      instead of File::Basename;
    + InstallDocs.pm: use the `rm -r' and 'mkdir -p' programs instead of
      File::Path;
    + debian/rules: run dh_perl with '-d' to avoid perl dependency.

  * Switch internal databases format from MLDBM to YAML and provide better
    error recovery from database corruption:
    + DB.pm: use YAML::Tiny module for storing our internal databases;
    + Util.pm: introduce Fatal() function and differentiate exit codes
      by type of error;
    + make the Fatal() function call
    + debian/control: switch dependency on libmdlbm-perl to libyaml-tiny-perl;
    + debian/postinst: try to recover for yaml files corruption by deleting
      them and re-spawning install-docs.

  * Translations handling:
    + patch from David Prévot not to assume word ordering in translated
      strings (closes: #606475);
    + patch from Chris Leick to fix plurals in the strings (closes: #521384);
    + English messages cleanups;
    + mark more doc-base messages as translatable;
    + Update Polish translation of binary.

  * doc-base.sgml:
    + prepend a top-level section name section names to make it more visible
      that sections' components are separated by slash (closes: #578331);
    + add the `Network/Remote Access' section (closes: #555161);
    + the Network section has two levels, not three (closes: #615488).

  * Don't create scrollkeeper files when rarian-compat is not installed
    (closes: #419745)
    + debian/triggers: interest on /usr/share/doc/rarian-compat to be
      notified of installs/removals of rarian-compat
  * DocBaseFile.pm: fix `no valid Format found' check.
  * Scrollkeeper.pm: avoid `unsuccessful stat on file contains new line'
    warnings given by perl (closes: #607498, #614330).

  * Ubuntu bugs handling:
    + install-docs.in: check if the Pod::Usage module is available before
      using it (LP: #431270, #510976);
    + this version gets rid of MLDBM and provides a better handling of
      databases corruption, to prevent `read error' bugs
      (LP: #695319, #675069, #672364, #668856, #652102, #621345);
    + debian/prerm: downgrade the `cannot find install-docs on path' error
      to a warning to make it possible to remove doc-base when install-docs
      is not available for some reason (LP: #391464);
    + the `/usr/share/doc-base/data/doc-base.map' file is provided in the
      package, it must have been deleted either manually or by filesystem
      error (LP: #660345, #646629);
    + close bugs that are duplicates of Debian bug#501874, fixed in 0.8.18
      (LP: #24771...

Read more...

Changed in doc-base (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.